osl::checkmate::DfpnPathList Struct Reference
Inheritance diagram for osl::checkmate::DfpnPathList:

## Public Types

typedef std::forward_list< std::pair< PieceStand, DfpnPathRecord > > | list_t

## Public Member Functions

template<Player Attack>
DfpnPathRecord * | allocate (PieceStand black, int depth, LoopToDominance &loop, size_t &size)
const DfpnPathRecord * | probe (PieceStand black) const
size_t | runGC (size_t threshold)

## Static Public Member Functions

static bool | precious (const DfpnPathRecord &record, size_t threshold)

## Private Member Functions

template<Player Attack>
iterator | find (PieceStand black, LoopToDominance &loop)

## Detailed Description

Definition at line 183 of file dfpn.cc.

## Member Typedef Documentation

## list_t

typedef std::forward_list<std::pair<PieceStand, DfpnPathRecord> > osl::checkmate::DfpnPathList::list_t

Definition at line 185 of file dfpn.cc.

## Member Function Documentation

## allocate()

template<Player Attack>

DfpnPathRecord * osl::checkmate::DfpnPathList::allocate | ( | PieceStand | black,
|  | int | depth,
|  | LoopToDominance & | loop,
|  | size_t & | size )

inline

Definition at line 217 of file dfpn.cc.

References find(), and osl::checkmate::DfpnPathRecord::MaxDistance.

Referenced by osl::checkmate::DfpnPathTable::allocate().

## find()

template<Player Attack>

iterator osl::checkmate::DfpnPathList::find | ( | PieceStand | black,
|  | LoopToDominance & | loop )

inline private

Definition at line 188 of file dfpn.cc.

References osl::checkmate::BadAttackLoop, osl::BLACK, osl::PieceStand::isSuperiorOrEqualTo(), osl::checkmate::DfpnPathRecord::MaxDistance, osl::checkmate::NoLoop, and osl::WHITE.

Referenced by allocate().

## precious()

bool osl::checkmate::DfpnPathList::precious | ( | const DfpnPathRecord & | record,
|  | size_t | threshold )

inline static

Definition at line 240 of file dfpn.cc.

References threshold.

Referenced by runGC().

## probe()

const DfpnPathRecord * osl::checkmate::DfpnPathList::probe | ( | PieceStand | black | ) | const

inline

Definition at line 232 of file dfpn.cc.

## runGC()

size_t osl::checkmate::DfpnPathList::runGC | ( | size_t | threshold | ) |

inline

Definition at line 246 of file dfpn.cc.

References precious(), and threshold.

The documentation for this struct was generated from the following file:

- dfpn.cc